<?php
define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);
define('HOST', 'http://' . $_SERVER['HTTP_HOST']);
session_start();
include('../../core/cms.php');
cmsCore::loadLanguage('lang');

$inCore = cmsCore::getInstance();
$inCore->loadClass('db');
$inCore->loadClass('user');
$inCore->loadClass('actions');
$inCore->loadClass('plugin');
$inCore->loadClass('page');
$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();
$inUser->update();
$for_user=array();
$for_user['id'] = $inCore->request('for_usr', 'int', 0);
$img_url  = $inCore->request('message', 'str', '');
$usertype=$inCore->request('usrtype',  'str', 'user');
$message  ='[img] '.$img_url.' [/img]';
$message  = $inCore->parseSmiles($message, true);
$message  = $inDB->escape_string($message);
$author=$inUser->id;
if($author && $message && $for_user['id']){
	if($usertype=="user"){
	  $for_user['nick']=$inDB->get_field('cms_users',"id=$for_user[id]",'nickname');
	  $for_user['login']=$inDB->get_field('cms_users',"id=$for_user[id]",'login');
	  if(!$for_user['login']){die();}
	  $sql = "INSERT INTO cms_user_wall (user_id, author_id, pubdate, content, usertype)
                        VALUES ('$for_user[id]', '$author', NOW(), '$message', 'user')";

      $inDB->query($sql);
      $wall_id = $inDB->get_last_id('cms_user_wall');




      if ($author != $for_user['id']){
			cmsActions::log('add_wall', array(
											'object' => $for_user['nick'],
											'object_url' => cmsUser::getProfileURL($for_user['login']),
											'object_id' => $wall_id,
											'target' => '',
											'target_url' => '',
											'target_id' => 0,
											'description' => '<a href='.cmsUser::getProfileURL($for_user['login']).'>'.'<img src="'.$img_url.'" height=64></a>'
			));

	 } elseif($author == $for_user['id']) {
			cmsActions::log('add_wall_my', array(
											'object' => '',
											'object_url' => '',
											'object_id' => $wall_id,
											'target' => '',
											'target_url' => '',
											'target_id' => 0,
											'description' => '<a href='.cmsUser::getProfileURL($inUser->login).'>'.'<img src="'.$img_url.'" height=64></a>'
			));
	 }


	 $for_user['email_newmsg']   = $inDB->get_field('cms_user_profiles', "user_id='{$for_user[id]}'", 'email_newmsg');
                    if ($for_user['email_newmsg'] && $for_user['id'] != $author){
                            $inConf = cmsConfig::getInstance();

							$to_email       = $inDB->get_field('cms_users', 'id='.$for_user['id'], 'email');
                            $postdate       = date('d/m/Y H:i:s');
							$from_nick      = $inDB->get_field('cms_users', "id='{$author}'", 'nickname');
							$profilelink    = HOST . cmsUser::getProfileURL($for_user['login']);

                            $letter_path    = PATH.'/includes/letters/newwallpost.txt';
                            $letter         = file_get_contents($letter_path);

                            $letter= str_replace('{sitename}', $inConf->sitename, $letter);
                            $letter= str_replace('{profilelink}', $profilelink, $letter);
                            $letter= str_replace('{date}', $postdate, $letter);
                            $letter= str_replace('{from}', $from_nick, $letter);
                            $inCore->mailText($to_email, $_LANG['NEW_POST_ON_WALL'].'! - '.$inConf->sitename, $letter);
                    }

      echo cmsUser::getUserWall($for_user['id']);

	}elseif($usertype=="club"){
		$club = $inDB->get_fields('cms_clubs', "id=$for_user[id]", 'id, title');
		if(!$club){die();}
		$sql = "INSERT INTO cms_user_wall (user_id, author_id, pubdate, content, usertype)
                        VALUES ('$for_user[id]', '$author', NOW(), '$message', 'club')";

      $inDB->query($sql);
      $wall_id = $inDB->get_last_id('cms_user_wall');

      cmsActions::log('add_wall_club', array(
											'object' => $club['title'],
											'object_url' => '/clubs/'.$club['id'],
											'object_id' => $wall_id,
											'target' => '',
											'target_url' => '',
											'target_id' => 0,
											'description' =>'<a href=/clubs/'.$club['id'].'>'.'<img src="'.$img_url.'" height=64></a>'
								));

	  echo cmsUser::getUserWall($for_user['id'],'club');

	}else{
		die();
	}








}
?>